libstdc++

Classes | Namespaces | Functions
profile/map.h File Reference

Go to the source code of this file.

## Classes

class | std::__profile::map< _Key, _Tp, _Compare, _Allocator >
| Class std::map wrapper with performance instrumentation. More...

## Namespaces

namespace | std
namespace | std::__profile

## Functions

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | std::__profile::operator!= (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | std::__profile::operator< (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | std::__profile::operator<= (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | std::__profile::operator== (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | std::__profile::operator> (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | std::__profile::operator>= (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
void | std::__profile::swap (map< _Key, _Tp, _Compare, _Allocator > &__lhs, map< _Key, _Tp, _Compare, _Allocator > &__rhs)

## Detailed Description

This file is a GNU profile extension to the Standard C++ Library.

Definition in file profile/map.h.